Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network33.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
33.0.0.0
Broadcast address
33.255.255.255
First usable
33.0.0.1
Last usable
33.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 21000000 · Integer 553648128 to 570425343
Reverse DNS zone
33.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100001..00000000.00000000.0000000033.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00100001..00000000.00000000.0000000033.0.0.0
Broadcast00100001..11111111.11111111.1111111133.255.255.255
Split into smaller subnets/16

33.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
133.0.0.0/1633.0.0.1 to 33.0.255.25433.0.255.25565,534
233.1.0.0/1633.1.0.1 to 33.1.255.25433.1.255.25565,534
333.2.0.0/1633.2.0.1 to 33.2.255.25433.2.255.25565,534
433.3.0.0/1633.3.0.1 to 33.3.255.25433.3.255.25565,534
533.4.0.0/1633.4.0.1 to 33.4.255.25433.4.255.25565,534
633.5.0.0/1633.5.0.1 to 33.5.255.25433.5.255.25565,534
733.6.0.0/1633.6.0.1 to 33.6.255.25433.6.255.25565,534
833.7.0.0/1633.7.0.1 to 33.7.255.25433.7.255.25565,534
933.8.0.0/1633.8.0.1 to 33.8.255.25433.8.255.25565,534
1033.9.0.0/1633.9.0.1 to 33.9.255.25433.9.255.25565,534
1133.10.0.0/1633.10.0.1 to 33.10.255.25433.10.255.25565,534
1233.11.0.0/1633.11.0.1 to 33.11.255.25433.11.255.25565,534
1333.12.0.0/1633.12.0.1 to 33.12.255.25433.12.255.25565,534
1433.13.0.0/1633.13.0.1 to 33.13.255.25433.13.255.25565,534
1533.14.0.0/1633.14.0.1 to 33.14.255.25433.14.255.25565,534
1633.15.0.0/1633.15.0.1 to 33.15.255.25433.15.255.25565,534
1733.16.0.0/1633.16.0.1 to 33.16.255.25433.16.255.25565,534
1833.17.0.0/1633.17.0.1 to 33.17.255.25433.17.255.25565,534
1933.18.0.0/1633.18.0.1 to 33.18.255.25433.18.255.25565,534
2033.19.0.0/1633.19.0.1 to 33.19.255.25433.19.255.25565,534
2133.20.0.0/1633.20.0.1 to 33.20.255.25433.20.255.25565,534
2233.21.0.0/1633.21.0.1 to 33.21.255.25433.21.255.25565,534
2333.22.0.0/1633.22.0.1 to 33.22.255.25433.22.255.25565,534
2433.23.0.0/1633.23.0.1 to 33.23.255.25433.23.255.25565,534
2533.24.0.0/1633.24.0.1 to 33.24.255.25433.24.255.25565,534
2633.25.0.0/1633.25.0.1 to 33.25.255.25433.25.255.25565,534
2733.26.0.0/1633.26.0.1 to 33.26.255.25433.26.255.25565,534
2833.27.0.0/1633.27.0.1 to 33.27.255.25433.27.255.25565,534
2933.28.0.0/1633.28.0.1 to 33.28.255.25433.28.255.25565,534
3033.29.0.0/1633.29.0.1 to 33.29.255.25433.29.255.25565,534
3133.30.0.0/1633.30.0.1 to 33.30.255.25433.30.255.25565,534
3233.31.0.0/1633.31.0.1 to 33.31.255.25433.31.255.25565,534
3333.32.0.0/1633.32.0.1 to 33.32.255.25433.32.255.25565,534
3433.33.0.0/1633.33.0.1 to 33.33.255.25433.33.255.25565,534
3533.34.0.0/1633.34.0.1 to 33.34.255.25433.34.255.25565,534
3633.35.0.0/1633.35.0.1 to 33.35.255.25433.35.255.25565,534
3733.36.0.0/1633.36.0.1 to 33.36.255.25433.36.255.25565,534
3833.37.0.0/1633.37.0.1 to 33.37.255.25433.37.255.25565,534
3933.38.0.0/1633.38.0.1 to 33.38.255.25433.38.255.25565,534
4033.39.0.0/1633.39.0.1 to 33.39.255.25433.39.255.25565,534
4133.40.0.0/1633.40.0.1 to 33.40.255.25433.40.255.25565,534
4233.41.0.0/1633.41.0.1 to 33.41.255.25433.41.255.25565,534
4333.42.0.0/1633.42.0.1 to 33.42.255.25433.42.255.25565,534
4433.43.0.0/1633.43.0.1 to 33.43.255.25433.43.255.25565,534
4533.44.0.0/1633.44.0.1 to 33.44.255.25433.44.255.25565,534
4633.45.0.0/1633.45.0.1 to 33.45.255.25433.45.255.25565,534
4733.46.0.0/1633.46.0.1 to 33.46.255.25433.46.255.25565,534
4833.47.0.0/1633.47.0.1 to 33.47.255.25433.47.255.25565,534
4933.48.0.0/1633.48.0.1 to 33.48.255.25433.48.255.25565,534
5033.49.0.0/1633.49.0.1 to 33.49.255.25433.49.255.25565,534
5133.50.0.0/1633.50.0.1 to 33.50.255.25433.50.255.25565,534
5233.51.0.0/1633.51.0.1 to 33.51.255.25433.51.255.25565,534
5333.52.0.0/1633.52.0.1 to 33.52.255.25433.52.255.25565,534
5433.53.0.0/1633.53.0.1 to 33.53.255.25433.53.255.25565,534
5533.54.0.0/1633.54.0.1 to 33.54.255.25433.54.255.25565,534
5633.55.0.0/1633.55.0.1 to 33.55.255.25433.55.255.25565,534
5733.56.0.0/1633.56.0.1 to 33.56.255.25433.56.255.25565,534
5833.57.0.0/1633.57.0.1 to 33.57.255.25433.57.255.25565,534
5933.58.0.0/1633.58.0.1 to 33.58.255.25433.58.255.25565,534
6033.59.0.0/1633.59.0.1 to 33.59.255.25433.59.255.25565,534
6133.60.0.0/1633.60.0.1 to 33.60.255.25433.60.255.25565,534
6233.61.0.0/1633.61.0.1 to 33.61.255.25433.61.255.25565,534
6333.62.0.0/1633.62.0.1 to 33.62.255.25433.62.255.25565,534
6433.63.0.0/1633.63.0.1 to 33.63.255.25433.63.255.25565,534
6533.64.0.0/1633.64.0.1 to 33.64.255.25433.64.255.25565,534
6633.65.0.0/1633.65.0.1 to 33.65.255.25433.65.255.25565,534
6733.66.0.0/1633.66.0.1 to 33.66.255.25433.66.255.25565,534
6833.67.0.0/1633.67.0.1 to 33.67.255.25433.67.255.25565,534
6933.68.0.0/1633.68.0.1 to 33.68.255.25433.68.255.25565,534
7033.69.0.0/1633.69.0.1 to 33.69.255.25433.69.255.25565,534
7133.70.0.0/1633.70.0.1 to 33.70.255.25433.70.255.25565,534
7233.71.0.0/1633.71.0.1 to 33.71.255.25433.71.255.25565,534
7333.72.0.0/1633.72.0.1 to 33.72.255.25433.72.255.25565,534
7433.73.0.0/1633.73.0.1 to 33.73.255.25433.73.255.25565,534
7533.74.0.0/1633.74.0.1 to 33.74.255.25433.74.255.25565,534
7633.75.0.0/1633.75.0.1 to 33.75.255.25433.75.255.25565,534
7733.76.0.0/1633.76.0.1 to 33.76.255.25433.76.255.25565,534
7833.77.0.0/1633.77.0.1 to 33.77.255.25433.77.255.25565,534
7933.78.0.0/1633.78.0.1 to 33.78.255.25433.78.255.25565,534
8033.79.0.0/1633.79.0.1 to 33.79.255.25433.79.255.25565,534
8133.80.0.0/1633.80.0.1 to 33.80.255.25433.80.255.25565,534
8233.81.0.0/1633.81.0.1 to 33.81.255.25433.81.255.25565,534
8333.82.0.0/1633.82.0.1 to 33.82.255.25433.82.255.25565,534
8433.83.0.0/1633.83.0.1 to 33.83.255.25433.83.255.25565,534
8533.84.0.0/1633.84.0.1 to 33.84.255.25433.84.255.25565,534
8633.85.0.0/1633.85.0.1 to 33.85.255.25433.85.255.25565,534
8733.86.0.0/1633.86.0.1 to 33.86.255.25433.86.255.25565,534
8833.87.0.0/1633.87.0.1 to 33.87.255.25433.87.255.25565,534
8933.88.0.0/1633.88.0.1 to 33.88.255.25433.88.255.25565,534
9033.89.0.0/1633.89.0.1 to 33.89.255.25433.89.255.25565,534
9133.90.0.0/1633.90.0.1 to 33.90.255.25433.90.255.25565,534
9233.91.0.0/1633.91.0.1 to 33.91.255.25433.91.255.25565,534
9333.92.0.0/1633.92.0.1 to 33.92.255.25433.92.255.25565,534
9433.93.0.0/1633.93.0.1 to 33.93.255.25433.93.255.25565,534
9533.94.0.0/1633.94.0.1 to 33.94.255.25433.94.255.25565,534
9633.95.0.0/1633.95.0.1 to 33.95.255.25433.95.255.25565,534
9733.96.0.0/1633.96.0.1 to 33.96.255.25433.96.255.25565,534
9833.97.0.0/1633.97.0.1 to 33.97.255.25433.97.255.25565,534
9933.98.0.0/1633.98.0.1 to 33.98.255.25433.98.255.25565,534
10033.99.0.0/1633.99.0.1 to 33.99.255.25433.99.255.25565,534
10133.100.0.0/1633.100.0.1 to 33.100.255.25433.100.255.25565,534
10233.101.0.0/1633.101.0.1 to 33.101.255.25433.101.255.25565,534
10333.102.0.0/1633.102.0.1 to 33.102.255.25433.102.255.25565,534
10433.103.0.0/1633.103.0.1 to 33.103.255.25433.103.255.25565,534
10533.104.0.0/1633.104.0.1 to 33.104.255.25433.104.255.25565,534
10633.105.0.0/1633.105.0.1 to 33.105.255.25433.105.255.25565,534
10733.106.0.0/1633.106.0.1 to 33.106.255.25433.106.255.25565,534
10833.107.0.0/1633.107.0.1 to 33.107.255.25433.107.255.25565,534
10933.108.0.0/1633.108.0.1 to 33.108.255.25433.108.255.25565,534
11033.109.0.0/1633.109.0.1 to 33.109.255.25433.109.255.25565,534
11133.110.0.0/1633.110.0.1 to 33.110.255.25433.110.255.25565,534
11233.111.0.0/1633.111.0.1 to 33.111.255.25433.111.255.25565,534
11333.112.0.0/1633.112.0.1 to 33.112.255.25433.112.255.25565,534
11433.113.0.0/1633.113.0.1 to 33.113.255.25433.113.255.25565,534
11533.114.0.0/1633.114.0.1 to 33.114.255.25433.114.255.25565,534
11633.115.0.0/1633.115.0.1 to 33.115.255.25433.115.255.25565,534
11733.116.0.0/1633.116.0.1 to 33.116.255.25433.116.255.25565,534
11833.117.0.0/1633.117.0.1 to 33.117.255.25433.117.255.25565,534
11933.118.0.0/1633.118.0.1 to 33.118.255.25433.118.255.25565,534
12033.119.0.0/1633.119.0.1 to 33.119.255.25433.119.255.25565,534
12133.120.0.0/1633.120.0.1 to 33.120.255.25433.120.255.25565,534
12233.121.0.0/1633.121.0.1 to 33.121.255.25433.121.255.25565,534
12333.122.0.0/1633.122.0.1 to 33.122.255.25433.122.255.25565,534
12433.123.0.0/1633.123.0.1 to 33.123.255.25433.123.255.25565,534
12533.124.0.0/1633.124.0.1 to 33.124.255.25433.124.255.25565,534
12633.125.0.0/1633.125.0.1 to 33.125.255.25433.125.255.25565,534
12733.126.0.0/1633.126.0.1 to 33.126.255.25433.126.255.25565,534
12833.127.0.0/1633.127.0.1 to 33.127.255.25433.127.255.25565,534
12933.128.0.0/1633.128.0.1 to 33.128.255.25433.128.255.25565,534
13033.129.0.0/1633.129.0.1 to 33.129.255.25433.129.255.25565,534
13133.130.0.0/1633.130.0.1 to 33.130.255.25433.130.255.25565,534
13233.131.0.0/1633.131.0.1 to 33.131.255.25433.131.255.25565,534
13333.132.0.0/1633.132.0.1 to 33.132.255.25433.132.255.25565,534
13433.133.0.0/1633.133.0.1 to 33.133.255.25433.133.255.25565,534
13533.134.0.0/1633.134.0.1 to 33.134.255.25433.134.255.25565,534
13633.135.0.0/1633.135.0.1 to 33.135.255.25433.135.255.25565,534
13733.136.0.0/1633.136.0.1 to 33.136.255.25433.136.255.25565,534
13833.137.0.0/1633.137.0.1 to 33.137.255.25433.137.255.25565,534
13933.138.0.0/1633.138.0.1 to 33.138.255.25433.138.255.25565,534
14033.139.0.0/1633.139.0.1 to 33.139.255.25433.139.255.25565,534
14133.140.0.0/1633.140.0.1 to 33.140.255.25433.140.255.25565,534
14233.141.0.0/1633.141.0.1 to 33.141.255.25433.141.255.25565,534
14333.142.0.0/1633.142.0.1 to 33.142.255.25433.142.255.25565,534
14433.143.0.0/1633.143.0.1 to 33.143.255.25433.143.255.25565,534
14533.144.0.0/1633.144.0.1 to 33.144.255.25433.144.255.25565,534
14633.145.0.0/1633.145.0.1 to 33.145.255.25433.145.255.25565,534
14733.146.0.0/1633.146.0.1 to 33.146.255.25433.146.255.25565,534
14833.147.0.0/1633.147.0.1 to 33.147.255.25433.147.255.25565,534
14933.148.0.0/1633.148.0.1 to 33.148.255.25433.148.255.25565,534
15033.149.0.0/1633.149.0.1 to 33.149.255.25433.149.255.25565,534
15133.150.0.0/1633.150.0.1 to 33.150.255.25433.150.255.25565,534
15233.151.0.0/1633.151.0.1 to 33.151.255.25433.151.255.25565,534
15333.152.0.0/1633.152.0.1 to 33.152.255.25433.152.255.25565,534
15433.153.0.0/1633.153.0.1 to 33.153.255.25433.153.255.25565,534
15533.154.0.0/1633.154.0.1 to 33.154.255.25433.154.255.25565,534
15633.155.0.0/1633.155.0.1 to 33.155.255.25433.155.255.25565,534
15733.156.0.0/1633.156.0.1 to 33.156.255.25433.156.255.25565,534
15833.157.0.0/1633.157.0.1 to 33.157.255.25433.157.255.25565,534
15933.158.0.0/1633.158.0.1 to 33.158.255.25433.158.255.25565,534
16033.159.0.0/1633.159.0.1 to 33.159.255.25433.159.255.25565,534
16133.160.0.0/1633.160.0.1 to 33.160.255.25433.160.255.25565,534
16233.161.0.0/1633.161.0.1 to 33.161.255.25433.161.255.25565,534
16333.162.0.0/1633.162.0.1 to 33.162.255.25433.162.255.25565,534
16433.163.0.0/1633.163.0.1 to 33.163.255.25433.163.255.25565,534
16533.164.0.0/1633.164.0.1 to 33.164.255.25433.164.255.25565,534
16633.165.0.0/1633.165.0.1 to 33.165.255.25433.165.255.25565,534
16733.166.0.0/1633.166.0.1 to 33.166.255.25433.166.255.25565,534
16833.167.0.0/1633.167.0.1 to 33.167.255.25433.167.255.25565,534
16933.168.0.0/1633.168.0.1 to 33.168.255.25433.168.255.25565,534
17033.169.0.0/1633.169.0.1 to 33.169.255.25433.169.255.25565,534
17133.170.0.0/1633.170.0.1 to 33.170.255.25433.170.255.25565,534
17233.171.0.0/1633.171.0.1 to 33.171.255.25433.171.255.25565,534
17333.172.0.0/1633.172.0.1 to 33.172.255.25433.172.255.25565,534
17433.173.0.0/1633.173.0.1 to 33.173.255.25433.173.255.25565,534
17533.174.0.0/1633.174.0.1 to 33.174.255.25433.174.255.25565,534
17633.175.0.0/1633.175.0.1 to 33.175.255.25433.175.255.25565,534
17733.176.0.0/1633.176.0.1 to 33.176.255.25433.176.255.25565,534
17833.177.0.0/1633.177.0.1 to 33.177.255.25433.177.255.25565,534
17933.178.0.0/1633.178.0.1 to 33.178.255.25433.178.255.25565,534
18033.179.0.0/1633.179.0.1 to 33.179.255.25433.179.255.25565,534
18133.180.0.0/1633.180.0.1 to 33.180.255.25433.180.255.25565,534
18233.181.0.0/1633.181.0.1 to 33.181.255.25433.181.255.25565,534
18333.182.0.0/1633.182.0.1 to 33.182.255.25433.182.255.25565,534
18433.183.0.0/1633.183.0.1 to 33.183.255.25433.183.255.25565,534
18533.184.0.0/1633.184.0.1 to 33.184.255.25433.184.255.25565,534
18633.185.0.0/1633.185.0.1 to 33.185.255.25433.185.255.25565,534
18733.186.0.0/1633.186.0.1 to 33.186.255.25433.186.255.25565,534
18833.187.0.0/1633.187.0.1 to 33.187.255.25433.187.255.25565,534
18933.188.0.0/1633.188.0.1 to 33.188.255.25433.188.255.25565,534
19033.189.0.0/1633.189.0.1 to 33.189.255.25433.189.255.25565,534
19133.190.0.0/1633.190.0.1 to 33.190.255.25433.190.255.25565,534
19233.191.0.0/1633.191.0.1 to 33.191.255.25433.191.255.25565,534
19333.192.0.0/1633.192.0.1 to 33.192.255.25433.192.255.25565,534
19433.193.0.0/1633.193.0.1 to 33.193.255.25433.193.255.25565,534
19533.194.0.0/1633.194.0.1 to 33.194.255.25433.194.255.25565,534
19633.195.0.0/1633.195.0.1 to 33.195.255.25433.195.255.25565,534
19733.196.0.0/1633.196.0.1 to 33.196.255.25433.196.255.25565,534
19833.197.0.0/1633.197.0.1 to 33.197.255.25433.197.255.25565,534
19933.198.0.0/1633.198.0.1 to 33.198.255.25433.198.255.25565,534
20033.199.0.0/1633.199.0.1 to 33.199.255.25433.199.255.25565,534
20133.200.0.0/1633.200.0.1 to 33.200.255.25433.200.255.25565,534
20233.201.0.0/1633.201.0.1 to 33.201.255.25433.201.255.25565,534
20333.202.0.0/1633.202.0.1 to 33.202.255.25433.202.255.25565,534
20433.203.0.0/1633.203.0.1 to 33.203.255.25433.203.255.25565,534
20533.204.0.0/1633.204.0.1 to 33.204.255.25433.204.255.25565,534
20633.205.0.0/1633.205.0.1 to 33.205.255.25433.205.255.25565,534
20733.206.0.0/1633.206.0.1 to 33.206.255.25433.206.255.25565,534
20833.207.0.0/1633.207.0.1 to 33.207.255.25433.207.255.25565,534
20933.208.0.0/1633.208.0.1 to 33.208.255.25433.208.255.25565,534
21033.209.0.0/1633.209.0.1 to 33.209.255.25433.209.255.25565,534
21133.210.0.0/1633.210.0.1 to 33.210.255.25433.210.255.25565,534
21233.211.0.0/1633.211.0.1 to 33.211.255.25433.211.255.25565,534
21333.212.0.0/1633.212.0.1 to 33.212.255.25433.212.255.25565,534
21433.213.0.0/1633.213.0.1 to 33.213.255.25433.213.255.25565,534
21533.214.0.0/1633.214.0.1 to 33.214.255.25433.214.255.25565,534
21633.215.0.0/1633.215.0.1 to 33.215.255.25433.215.255.25565,534
21733.216.0.0/1633.216.0.1 to 33.216.255.25433.216.255.25565,534
21833.217.0.0/1633.217.0.1 to 33.217.255.25433.217.255.25565,534
21933.218.0.0/1633.218.0.1 to 33.218.255.25433.218.255.25565,534
22033.219.0.0/1633.219.0.1 to 33.219.255.25433.219.255.25565,534
22133.220.0.0/1633.220.0.1 to 33.220.255.25433.220.255.25565,534
22233.221.0.0/1633.221.0.1 to 33.221.255.25433.221.255.25565,534
22333.222.0.0/1633.222.0.1 to 33.222.255.25433.222.255.25565,534
22433.223.0.0/1633.223.0.1 to 33.223.255.25433.223.255.25565,534
22533.224.0.0/1633.224.0.1 to 33.224.255.25433.224.255.25565,534
22633.225.0.0/1633.225.0.1 to 33.225.255.25433.225.255.25565,534
22733.226.0.0/1633.226.0.1 to 33.226.255.25433.226.255.25565,534
22833.227.0.0/1633.227.0.1 to 33.227.255.25433.227.255.25565,534
22933.228.0.0/1633.228.0.1 to 33.228.255.25433.228.255.25565,534
23033.229.0.0/1633.229.0.1 to 33.229.255.25433.229.255.25565,534
23133.230.0.0/1633.230.0.1 to 33.230.255.25433.230.255.25565,534
23233.231.0.0/1633.231.0.1 to 33.231.255.25433.231.255.25565,534
23333.232.0.0/1633.232.0.1 to 33.232.255.25433.232.255.25565,534
23433.233.0.0/1633.233.0.1 to 33.233.255.25433.233.255.25565,534
23533.234.0.0/1633.234.0.1 to 33.234.255.25433.234.255.25565,534
23633.235.0.0/1633.235.0.1 to 33.235.255.25433.235.255.25565,534
23733.236.0.0/1633.236.0.1 to 33.236.255.25433.236.255.25565,534
23833.237.0.0/1633.237.0.1 to 33.237.255.25433.237.255.25565,534
23933.238.0.0/1633.238.0.1 to 33.238.255.25433.238.255.25565,534
24033.239.0.0/1633.239.0.1 to 33.239.255.25433.239.255.25565,534
24133.240.0.0/1633.240.0.1 to 33.240.255.25433.240.255.25565,534
24233.241.0.0/1633.241.0.1 to 33.241.255.25433.241.255.25565,534
24333.242.0.0/1633.242.0.1 to 33.242.255.25433.242.255.25565,534
24433.243.0.0/1633.243.0.1 to 33.243.255.25433.243.255.25565,534
24533.244.0.0/1633.244.0.1 to 33.244.255.25433.244.255.25565,534
24633.245.0.0/1633.245.0.1 to 33.245.255.25433.245.255.25565,534
24733.246.0.0/1633.246.0.1 to 33.246.255.25433.246.255.25565,534
24833.247.0.0/1633.247.0.1 to 33.247.255.25433.247.255.25565,534
24933.248.0.0/1633.248.0.1 to 33.248.255.25433.248.255.25565,534
25033.249.0.0/1633.249.0.1 to 33.249.255.25433.249.255.25565,534
25133.250.0.0/1633.250.0.1 to 33.250.255.25433.250.255.25565,534
25233.251.0.0/1633.251.0.1 to 33.251.255.25433.251.255.25565,534
25333.252.0.0/1633.252.0.1 to 33.252.255.25433.252.255.25565,534
25433.253.0.0/1633.253.0.1 to 33.253.255.25433.253.255.25565,534
25533.254.0.0/1633.254.0.1 to 33.254.255.25433.254.255.25565,534
25633.255.0.0/1633.255.0.1 to 33.255.255.25433.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses